Subject: bug#999: 23.0.60; left/right-margin property is not honored on word-wrapped lines

From: Chong Yidong <[email-masked]>
Date: Fri, 19 Sep 2008 11:54:32 -0400

> When a line is wrapped the `left-margin' text property is honored only
> on the first visual line. This seems ok to me unless word-wrap is
> true.  In that case I think that `left-margin' and `right-margin'
> should be honored on all visual lines.

A word-wrapped line is essentially the same as a continued line; it's
just that the line is continued at a word boundary rather than a window
edge.  In terms of the buffer contents, it's all one long line, so
there's no reason for margin properties to have any effect on the
subsequent *screen* lines in the wrapped line.